VSCode Extensions Specifically for JavaScript Development
=========================================================

VSCode Extensions that are indispensable in JavaScript development

------------------------------------------------------------------------

#### <a href="http://medium.com/codex" class="markup--anchor markup--h4-anchor">CODEX</a>

### VSCode Extensions Specifically for JavaScript Development

#### VSCode Extensions that are indispensable in JavaScript development

### Back and Forth

-   <span id="05b8">Adds backwards and forwards buttons to the toolbar in VSCode</span>
-   <span id="0f5e"><a href="https://marketplace.visualstudio.com/items?itemName=nick-rudenko.back-n-forth" class="markup--anchor markup--li-anchor" title="https://marketplace.visualstudio.com/items?itemName=nick-rudenko.back-n-forth">https://marketplace.visualstudio.com/items?itemName=nick-rudenko.back-n-forth</a></span>

<figure><img src="https://cdn-images-1.medium.com/max/800/0*hsbombFMlu6yICjz.gif" class="graf-image" /></figure>

------------------------------------------------------------------------

### Bracket Pair Colorizer 2

-   <span id="eb2c">Colors matching brackets so it’s easier to tell which brackets match.</span>
-   <span id="5ec7"><a href="https://marketplace.visualstudio.com/items?itemName=CoenraadS.bracket-pair-colorizer-2" class="markup--anchor markup--li-anchor" title="https://marketplace.visualstudio.com/items?itemName=CoenraadS.bracket-pair-colorizer-2">https://marketplace.visualstudio.com/items?itemName=CoenraadS.bracket-pair-colorizer-2</a></span>

<figure><img src="https://cdn-images-1.medium.com/max/800/0*MT-BCptwnKGYk1Pk.png" class="graf-image" /></figure>

------------------------------------------------------------------------

### Babel Javascript

-   <span id="9891">A better syntax highlighter for JavaScript code</span>
-   <span id="4536"><a href="https://marketplace.visualstudio.com/items?itemName=mgmcdermott.vscode-language-babel" class="markup--anchor markup--li-anchor" title="https://marketplace.visualstudio.com/items?itemName=mgmcdermott.vscode-language-babel">https://marketplace.visualstudio.com/items?itemName=mgmcdermott.vscode-language-babel</a></span>

<figure><img src="https://cdn-images-1.medium.com/max/800/0*b5t9hd_8soPq26pq.png" class="graf-image" /></figure>

------------------------------------------------------------------------

### Code Runner

-   <span id="b696">Puts a “Play” button in your toolbar and let’s you run code files by pressing it.</span>
-   <span id="d9c1"><a href="https://marketplace.visualstudio.com/items?itemName=formulahendry.code-runner" class="markup--anchor markup--li-anchor" title="https://marketplace.visualstudio.com/items?itemName=formulahendry.code-runner">https://marketplace.visualstudio.com/items?itemName=formulahendry.code-runner</a></span>

### Code Runner

> Run code snippet or code file for multiple languages: **C, C++, Java, JavaScript, PHP, Python, Perl, Perl 6, Ruby, Go, Lua, Groovy, PowerShell, BAT/CMD, BASH/SH, F\# Script, F\# (.NET Core), C\# Script, C\# (.NET Core), VBScript, TypeScript, CoffeeScript, Scala, Swift, Julia, Crystal, OCaml Script, R, AppleScript, Elixir, Visual Basic .NET, Clojure, Haxe, Objective-C, Rust, Racket, Scheme, AutoHotkey, AutoIt, Kotlin, Dart, Free Pascal, Haskell, Nim, D, Lisp, Kit, V, SCSS, Sass, CUDA, Less, Fortran**, and custom command

### Features

> Run code file of current active Text Editor

> Run code file through context menu of file explorer

> Run selected code snippet in Text Editor

> Run code per Shebang

> Run code per filename glob

> Run custom command

> Stop code running

> View output in Output Window

> Set default language to run

> Select language to run

> Support REPL by running code in Integrated Terminal

### Usages

#### To run code:

-   <span id="fdf8">use shortcut `Ctrl+Alt+N`</span>
-   <span id="f3b8">or press `F1` and then select/type `Run Code`,</span>
-   <span id="e133">or right click the Text Editor and then click `Run Code` in editor context menu</span>
-   <span id="b70a">or click `Run Code` button in editor title menu</span>
-   <span id="6dbe">or click `Run Code` button in context menu of file explorer</span>
-   <span id="8983">To stop the running code:</span>
-   <span id="d078">use shortcut `Ctrl+Alt+M`</span>
-   <span id="ca9e">or press `F1` and then select/type `Stop Code Run`</span>
-   <span id="f2b1">or right click the Output Channel and then click `Stop Code Run` in context menu</span>

<figure><img src="https://cdn-images-1.medium.com/max/800/0*_RtB2WiNuXhAJnuJ.gif" class="graf-image" /></figure>-   <span id="a49c">To select language to run, use shortcut `Ctrl+Alt+J`, or press `F1` and then select/type `Run By Language`, then type or select the language to run: e.g `php, javascript, bat, shellscript...`</span>

<figure><img src="https://cdn-images-1.medium.com/max/800/0*lCmaRsgOMINbFJps.gif" class="graf-image" /></figure>-   <span id="dbab">To run custom command, then use shortcut `Ctrl+Alt+K`, or press `F1` and then select/type `Run Custom Command`</span>

------------------------------------------------------------------------

### Color Highlight

-   <span id="e34b">Changes the background color of hex colors in your code to show you what color it actually is</span>
-   <span id="9779"><a href="https://marketplace.visualstudio.com/items?itemName=naumovs.color-highlight" class="markup--anchor markup--li-anchor" title="https://marketplace.visualstudio.com/items?itemName=naumovs.color-highlight">https://marketplace.visualstudio.com/items?itemName=naumovs.color-highlight</a></span>

<figure><img src="https://cdn-images-1.medium.com/max/800/0*9K5_QPPvfozmuTWH" class="graf-image" /></figure>### Git Graph

-   <span id="edf1">Shows you a graphical representation of your git branches and commits</span>
-   <span id="0a51"><a href="https://marketplace.visualstudio.com/items?itemName=mhutchie.git-graph" class="markup--anchor markup--li-anchor" title="https://marketplace.visualstudio.com/items?itemName=mhutchie.git-graph">https://marketplace.visualstudio.com/items?itemName=mhutchie.git-graph</a></span>

<figure><img src="https://cdn-images-1.medium.com/max/800/0*eAKBnl6yXJgXZXvZ.gif" class="graf-image" /></figure>

------------------------------------------------------------------------

### GitLens

-   <span id="7c5c">Adds tons of cool features to vscode, like viewing commits inline inside the editor</span>
-   <span id="10cf"><a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens" class="markup--anchor markup--li-anchor" title="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens">https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens</a></span>

Here are just some of the **features** that GitLens provides,

-   <span id="7500">effortless <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#revision-navigation-" class="markup--anchor markup--li-anchor" title="Jump to Revision Navigation"><strong>revision navigation</strong></a> (backwards and forwards) through the history of a file</span>
-   <span id="1ba4">an unobtrusive <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#current-line-blame-" class="markup--anchor markup--li-anchor" title="Jump to Current Line Blame"><strong>current line blame</strong></a> annotation at the end of the line showing the commit and author who last modified the line, with more detailed blame information accessible on <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#hovers-" class="markup--anchor markup--li-anchor" title="Jump to Hovers"><strong>hover</strong></a></span>
-   <span id="8920"><a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#git-code-lens-" class="markup--anchor markup--li-anchor" title="Jump to Git Code Lens"><strong>authorship code lens</strong></a> showing the most recent commit and number of authors at the top of files and/or on code blocks</span>
-   <span id="4256">a <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#status-bar-blame-" class="markup--anchor markup--li-anchor" title="Jump to Status Bar Blame"><strong>status bar blame</strong></a> annotation showing the commit and author who last modified the current line</span>
-   <span id="05e9">on-demand **file annotations** in the editor gutter, including</span>
-   <span id="fb38"><a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#gutter-blame-" class="markup--anchor markup--li-anchor" title="Jump to Gutter Blame"><strong>blame</strong></a> — shows the commit and author who last modified each line of a file</span>
-   <span id="c964"><a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#gutter-changes-" class="markup--anchor markup--li-anchor" title="Jump to Gutter Changes"><strong>changes</strong></a> — highlights any local (unpublished) changes or lines changed by the most recent commit</span>
-   <span id="8e28"><a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#gutter-heatmap-" class="markup--anchor markup--li-anchor" title="Jump to Gutter Heatmap"><strong>heatmap</strong></a> — shows how recently lines were changed, relative to all the other changes in the file and to now (hot vs. cold)</span>
-   <span id="f31e">many rich **Side Bar views**</span>
-   <span id="454e">a <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#commits-view-" class="markup--anchor markup--li-anchor" title="Jump to the Commits view"><strong><em>Commits</em> view</strong></a> to visualize, explore, and manage Git commits</span>
-   <span id="20b4">a <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#repositories-view-" class="markup--anchor markup--li-anchor" title="Jump to the Repositories view"><strong><em>Repositories</em> view</strong></a> to visualize, explore, and manage Git repositories</span>
-   <span id="ab4a">a <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#file-history-view-" class="markup--anchor markup--li-anchor" title="Jump to the File History view"><strong><em>File History</em> view</strong></a> to visualize, navigate, and explore the revision history of the current file or just the selected lines of the current file</span>
-   <span id="fcd3">a <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#line-history-view-" class="markup--anchor markup--li-anchor" title="Jump to the Line History view"><strong><em>Line History</em> view</strong></a> to visualize, navigate, and explore the revision history of the selected lines of the current file</span>
-   <span id="a82b">a <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#branches-view-" class="markup--anchor markup--li-anchor" title="Jump to the Branches view"><strong><em>Branches</em> view</strong></a> to visualize, explore, and manage Git branches</span>
-   <span id="2aa9">a <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#remotes-view-" class="markup--anchor markup--li-anchor" title="Jump to the Remotes view"><strong><em>Remotes</em> view</strong></a> to visualize, explore, and manage Git remotes and remote branches</span>
-   <span id="387f">a <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#stashes-view-" class="markup--anchor markup--li-anchor" title="Jump to the Stashes view"><strong><em>Stashes</em> view</strong></a> to visualize, explore, and manage Git stashes</span>
-   <span id="709e">a <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#tags-view-" class="markup--anchor markup--li-anchor" title="Jump to the Tags view"><strong><em>Tags</em> view</strong></a> to visualize, explore, and manage Git tags</span>
-   <span id="f2ad">a <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#contributors-view-" class="markup--anchor markup--li-anchor" title="Jump to the Contributors view"><strong><em>Contributors</em> view</strong></a> to visualize, navigate, and explore contributors</span>
-   <span id="6446">a <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#search--compare-view-" class="markup--anchor markup--li-anchor" title="Jump to the Search &amp; Compare view"><strong><em>Search &amp; Compare</em> view</strong></a> to search and explore commit histories by message, author, files, id, etc, or visualize comparisons between branches, tags, commits, and more</span>
-   <span id="0738">a <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#git-command-palette-" class="markup--anchor markup--li-anchor" title="Jump to the Git Command Palette"><strong>Git Command Palette</strong></a> to provide guided (step-by-step) access to many common Git commands, as well as quick access to</span>
-   <span id="8275"><a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#quick-commit-access-" class="markup--anchor markup--li-anchor" title="Jump to Quick Commit Access">commits</a> — history and search</span>
-   <span id="44ae"><a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#quick-stash-access-" class="markup--anchor markup--li-anchor" title="Jump to Quick Stash Access">stashes</a></span>
-   <span id="ad5f"><a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#quick-status-access-" class="markup--anchor markup--li-anchor" title="Jump to Quick Status Access">status</a> — current branch and working tree status</span>
-   <span id="ea4a">a user-friendly <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#interactive-rebase-editor-" class="markup--anchor markup--li-anchor" title="Jump to the Interactive Rebase Editor"><strong>interactive rebase editor</strong></a> to easily configure an interactive rebase session</span>
-   <span id="692c"><a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#terminal-links-" class="markup--anchor markup--li-anchor" title="Jump to Terminal Links"><strong>terminal links</strong></a> — `ctrl+click` on autolinks in the integrated terminal to quickly jump to more details for commits, branches, tags, and more</span>
-   <span id="7671">rich <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#remote-provider-integrations-" class="markup--anchor markup--li-anchor" title="Jump to Remote Provider Integrations"><strong>remote provider integrations</strong></a> — GitHub, GitLab, Bitbucket, Azure DevOps</span>
-   <span id="eaa9">issue and pull request auto-linking</span>
-   <span id="c6bf">rich hover information provided for linked issues and pull requests (GitHub only)</span>
-   <span id="5769">associates pull requests with branches and commits (GitHub only)</span>
-   <span id="2853">many <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#powerful-commands-" class="markup--anchor markup--li-anchor" title="Jump to Powerful Commands"><strong>powerful commands</strong></a> for navigating and comparing revisions, and more</span>
-   <span id="3dee">user-defined <a href="https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens#modes-" class="markup--anchor markup--li-anchor" title="Jump to Modes"><strong>modes</strong></a> for quickly toggling between sets of settings</span>
-   <span id="d760">and so much more 😁</span>

### Features

#### Revision Navigation

<figure><img src="https://cdn-images-1.medium.com/max/800/0*ZznZkr2qdB6qT2sX.gif" class="graf-image" /></figure>

------------------------------------------------------------------------

### Markdown All in One

-   <span id="2f35">Everything you need to help you write markdown files in VSCode</span>
-   <span id="072b"><a href="https://marketplace.visualstudio.com/items?itemName=yzhang.markdown-all-in-one" class="markup--anchor markup--li-anchor" title="https://marketplace.visualstudio.com/items?itemName=yzhang.markdown-all-in-one">https://marketplace.visualstudio.com/items?itemName=yzhang.markdown-all-in-one</a></span>

### Features

### Keyboard shortcuts

<figure><img src="https://cdn-images-1.medium.com/max/800/0*_usOVMNpDjj4nqKP.gif" class="graf-image" /></figure>(Typo: multiple words)

<figure><img src="https://cdn-images-1.medium.com/max/800/0*Eqbbj4t2090z7JLj.gif" class="graf-image" /></figure>See full key binding list in the <a href="https://marketplace.visualstudio.com/items?itemName=yzhang.markdown-all-in-one#keyboard-shortcuts-1" class="markup--anchor markup--p-anchor">keyboard shortcuts</a> section

### Table of contents

<figure><img src="https://cdn-images-1.medium.com/max/800/0*T1aP3qXU9HHLvrkZ.png" class="graf-image" /></figure>-   <span id="ca4e">Run command “**Create Table of Contents**” to insert a new table of contents.</span>
-   <span id="1bbc">The TOC is **automatically updated** on file save by default. To disable, please change the `toc.updateOnSave` option.</span>
-   <span id="e5a8">The **indentation type (tab or spaces)** of TOC can be configured per file. Find the setting in the right bottom corner of VS Code’s status bar.</span>
-   <span id="385b">***Note***: Be sure to also check the `list.indentationSize` option.</span>
-   <span id="5e3f">To make TOC **compatible with GitHub or GitLab**, set option `slugifyMode` accordingly</span>
-   <span id="e5a5">Three ways to **control which headings are present** in the TOC:</span>
-   <span id="6ce1">Click to expand</span>
-   <span id="7d9e">Easily add/update/remove **section numbering**</span>

<figure><img src="https://cdn-images-1.medium.com/max/800/0*wqtYh9oFLU1GbfLE.gif" class="graf-image" /></figure>-   <span id="d251">*In case you are seeing* ***unexpected TOC recognition****, you can add a* `<!-- no toc -->` *comment above the list*.</span>

### List editing

<figure><img src="https://cdn-images-1.medium.com/max/800/0*0ipp3m0zajfTJlQR.gif" class="graf-image" /></figure><figure><img src="https://cdn-images-1.medium.com/max/800/0*LLQYEmYRbIsx3EkR.gif" class="graf-image" /></figure><figure><img src="https://cdn-images-1.medium.com/max/800/0*eoAN8X-cP9iM6l3Y.gif" class="graf-image" /></figure>***Note***: By default, this extension tries to determine indentation size for different lists according to <a href="https://spec.commonmark.org/0.29/#list-items" class="markup--anchor markup--p-anchor">CommonMark Spec</a>. If you prefer to use a fixed tab size, please change the `list.indentationSize` setting.

### Print Markdown to HTML

-   <span id="b93d">Commands `Markdown: Print current document to HTML` and `Markdown: Print documents to HTML` (batch mode)</span>
-   <span id="0011">**Compatible** with other installed Markdown plugins (e.g. <a href="https://marketplace.visualstudio.com/items?itemName=bierner.markdown-footnotes" class="markup--anchor markup--li-anchor">Markdown Footnotes</a>) The exported HTML should look the same as inside VSCode.</span>
-   <span id="9740">Use comment `<!-- title: Your Title -->` to specify a title of the exported HTML.</span>
-   <span id="9298">Plain links to `.md` files will be converted to `.html`.</span>
-   <span id="5a32">It’s recommended to print the exported HTML to PDF with browser (e.g. Chrome) if you want to share your documents with others.</span>

### GitHub Flavored Markdown

-   <span id="ae98">Table formatter</span>

<figure><img src="https://cdn-images-1.medium.com/max/800/0*6yKsV2SWwPFdGHZT.gif" class="graf-image" /></figure>-   <span id="ad0a">***Note***: The key binding is Ctrl + Shift + I on Linux. See <a href="https://code.visualstudio.com/docs/getstarted/keybindings#_keyboard-shortcuts-reference" class="markup--anchor markup--li-anchor">Visual Studio Code Key Bindings</a>.</span>
-   <span id="fa42">Task lists</span>

### Math

<figure><img src="https://cdn-images-1.medium.com/max/800/0*6NkKUCywNSSMsbV2.png" class="graf-image" /></figure>Please use <a href="https://marketplace.visualstudio.com/items?itemName=goessner.mdmath" class="markup--anchor markup--p-anchor">Markdown+Math</a> for dedicated math support. Be sure to disable `math.enabled` option of this extension.

### Auto completions

Tip: also support the option `completion.root`

-   <span id="4c17">Images/Files (respects option `search.exclude`)</span>

<figure><img src="https://cdn-images-1.medium.com/max/800/0*0yN3cZ6xsl6c_oP5.png" class="graf-image" /></figure>-   <span id="c44e">Math functions (including option `katex.macros`)</span>

<figure><img src="https://cdn-images-1.medium.com/max/800/0*ZYCqFh0MHuE153Ed.png" class="graf-image" /></figure>

------------------------------------------------------------------------

### Mocah Test Explorer

-   <span id="2b8c">Lets you run mocha tests in the VSCode sidebar</span>
-   <span id="39cd"><a href="https://marketplace.visualstudio.com/items?itemName=hbenl.vscode-mocha-test-adapter" class="markup--anchor markup--li-anchor" title="https://marketplace.visualstudio.com/items?itemName=hbenl.vscode-mocha-test-adapter">https://marketplace.visualstudio.com/items?itemName=hbenl.vscode-mocha-test-adapter</a></span>

### Features

### Import command

<figure><img src="https://cdn-images-1.medium.com/max/800/0*1ks3u0MsnG96JUy6.gif" class="graf-image" /></figure>{
       "npm-intellisense.importES6": true,
       "npm-intellisense.importQuotes": "'",
       "npm-intellisense.importLinebreak": ";\r\n",
        "npm-intellisense.importDeclarationType": "const",
    }

### Import command (ES5)

<figure><img src="https://cdn-images-1.medium.com/max/800/0*srfRIxEbcL_yxBey.gif" class="graf-image" /></figure>{
       "npm-intellisense.importES6": false,
      "npm-intellisense.importQuotes": "'",
       "npm-intellisense.importLinebreak": ";\r\n",
        "npm-intellisense.importDeclarationType": "const",
    }

------------------------------------------------------------------------

### NPM Intellisense

-   <span id="61ee">Autocomlpetes npm module names when you are typing require or import.</span>
-   <span id="b68a"><a href="https://marketplace.visualstudio.com/items?itemName=christian-kohler.npm-intellisense" class="markup--anchor markup--li-anchor" title="https://marketplace.visualstudio.com/items?itemName=christian-kohler.npm-intellisense">https://marketplace.visualstudio.com/items?itemName=christian-kohler.npm-intellisense</a></span>

### Features

### Import command

<figure><img src="https://cdn-images-1.medium.com/max/800/0*o3KIizXjd5BfnZzR.gif" class="graf-image" /></figure>{
       "npm-intellisense.importES6": true,
       "npm-intellisense.importQuotes": "'",
       "npm-intellisense.importLinebreak": ";\r\n",
        "npm-intellisense.importDeclarationType": "const",
    }

### Import command (ES5)

<figure><img src="https://cdn-images-1.medium.com/max/800/0*pCEaJc8pJmJi_dMk.gif" class="graf-image" /></figure>{
      "npm-intellisense.importES6": false,
      "npm-intellisense.importQuotes": "'",
       "npm-intellisense.importLinebreak": ";\r\n",
        "npm-intellisense.importDeclarationType": "const",
    }

### Scan devDependencies

Npm intellisense scans only dependencies by default. Set scanDevDependencies to true to enable it for devDependencies too.

    {
        "npm-intellisense.scanDevDependencies": true,
    }

------------------------------------------------------------------------

### Path Intellisense

-   <span id="0f82">Auto completes filesystem paths when you are typing them</span>
-   <span id="5413"><a href="https://marketplace.visualstudio.com/items?itemName=christian-kohler.path-intellisense" class="markup--anchor markup--li-anchor" title="https://marketplace.visualstudio.com/items?itemName=christian-kohler.path-intellisense">https://marketplace.visualstudio.com/items?itemName=christian-kohler.path-intellisense</a></span>

### Usage

<figure><img src="https://cdn-images-1.medium.com/max/800/0*if44ZSUgw2MDJiFl.gif" class="graf-image" /></figure>### Commerical Extensions

### Quokka.js

-   <span id="aa0f">A paid extension that does amazing things by showing the results of your javascript inline inside the editor window</span>
-   <span id="d793"><a href="https://marketplace.visualstudio.com/items?itemName=WallabyJs.quokka-vscode" class="markup--anchor markup--li-anchor" title="https://marketplace.visualstudio.com/items?itemName=WallabyJs.quokka-vscode">https://marketplace.visualstudio.com/items?itemName=WallabyJs.quokka-vscode</a></span>

### <a href="https://quokkajs.com/" class="markup--anchor markup--h3-anchor">Quokka.js</a> Visual Studio Code Extension

Quokka.js is a developer productivity tool for rapid JavaScript / TypeScript prototyping. Runtime values are updated and displayed in your IDE next to your code, as you type.

<figure><img src="https://cdn-images-1.medium.com/max/800/0*xYo5Z7lROn4tLQu9.gif" class="graf-image" /></figure>### If you found this guide helpful feel free to checkout my other articles:

<a href="https://bryanguner.medium.com/a-list-of-all-of-my-articles-to-link-to-future-posts-1f6f88ebdf5b" class="markup--anchor markup--mixtapeEmbed-anchor" title="https://bryanguner.medium.com/a-list-of-all-of-my-articles-to-link-to-future-posts-1f6f88ebdf5b"><strong>A list of all of my articles to link to future posts</strong><br />
<em>You should probably skip this one… seriously it’s just for internal use!</em>bryanguner.medium.com</a><a href="https://bryanguner.medium.com/a-list-of-all-of-my-articles-to-link-to-future-posts-1f6f88ebdf5b" class="js-mixtapeImage mixtapeImage mixtapeImage--empty u-ignoreBlock"></a>

### OR GitHub/gists where I host similar content:

<a href="https://gist.github.com/bgoonz" class="markup--anchor markup--mixtapeEmbed-anchor" title="https://gist.github.com/bgoonz"><strong>bgoonz’s gists</strong><br />
<em>Instantly share code, notes, and snippets. Web Developer, Electrical Engineer JavaScript | CSS | Bootstrap | Python |…</em>gist.github.com</a><a href="https://gist.github.com/bgoonz" class="js-mixtapeImage mixtapeImage u-ignoreBlock"></a>

<a href="https://github.com/bgoonz" class="markup--anchor markup--mixtapeEmbed-anchor" title="https://github.com/bgoonz"><strong>bgoonz — Overview</strong><br />
<em>Web Developer, Electrical Engineer JavaScript | CSS | Bootstrap | Python | React | Node.js | Express | Sequelize…</em>github.com</a><a href="https://github.com/bgoonz" class="js-mixtapeImage mixtapeImage u-ignoreBlock"></a>

### Or Checkout my personal Resource Site:

<a href="https://web-dev-resource-hub.netlify.app/" class="markup--anchor markup--mixtapeEmbed-anchor" title="https://web-dev-resource-hub.netlify.app/"><strong>Web-Dev-Resource-Hub</strong><br />
<em>Edit description</em>web-dev-resource-hub.netlify.app</a><a href="https://web-dev-resource-hub.netlify.app/" class="js-mixtapeImage mixtapeImage mixtapeImage--empty u-ignoreBlock"></a>

By <a href="https://medium.com/@bryanguner" class="p-author h-card">Bryan Guner</a> on [March 23, 2021](https://medium.com/p/ea91305cbd4a).

<a href="https://medium.com/@bryanguner/vscode-extensions-specifically-for-javascript-development-ea91305cbd4a" class="p-canonical">Canonical link</a>

Exported from [Medium](https://medium.com) on August 24, 2021.
